> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File versions resources

A set of endpoints used to manage specific versions of a file.

## File versions

A list of file versions.

<Accordion title="Attributes and example">
  | Property      | Type                           | Required | Description                                                                                                                                                                                                                                                                                |
  | ------------- | ------------------------------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
  | `total_count` | `integer`                      | No       | One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than `total_count`. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
  | `limit`       | `integer`                      | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.                                                                                                     |
  | `offset`      | `integer`                      | No       | The 0-based offset of the first entry in this set. This will be the same as the `offset` query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.                                             |
  | `order`       | array of `object`              | No       | The order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.                                                                                                                |
  | `entries`     | array of `File version (Full)` | No       | A list of file versions.                                                                                                                                                                                                                                                                   |

  ```json Example theme={null}
  {
    "total_count": 5000,
    "limit": 1000,
    "offset": 2000,
    "order": [
      {
        "by": "type",
        "direction": "ASC"
      }
    ],
    "entries": [
      {
        "id": "12345",
        "type": "file_version",
        "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc",
        "name": "tigers.jpeg",
        "size": 629644,
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00",
        "modified_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "trashed_at": "2012-12-12T10:53:43-08:00",
        "trashed_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "restored_at": "2012-12-12T10:53:43-08:00",
        "restored_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "purged_at": "2012-12-12T10:53:43-08:00",
        "uploader_display_name": "Ellis Wiggins",
        "version_number": "1"
      }
    ]
  }
  ```
</Accordion>
